View Issue Details

IDProjectCategoryView StatusLast Update
0036023FPCRTLpublic2019-08-29 09:41
Reporterrd0xAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.0Product Build 
Target VersionFixed in Version3.3.1 
Summary0036023: Deprecate SSLeay_version for OpenSSL
DescriptionSSLeay_version isn't part of OpenSSL 1.1+, it's OpenSSL_version now.
I know there is some code to handle it if not available but I think it's better to warn that it's deprecated and EOL of 1.0.2 comes closely.
Additional Informationfunction SSLeay_version(t: cint): PChar;
to
function SSLeay_version(t: cint): PChar; deprecated 'For 1.1+ use OpenSSL_version';
TagsNo tags attached.
Fixed in Revision42867
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Michael Van Canneyt

2019-08-29 08:44

administrator   ~0117865

Done.

Issue History

Date Modified Username Field Change
2019-08-28 22:06 rd0x New Issue
2019-08-29 08:44 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-08-29 08:44 Michael Van Canneyt Status new => resolved
2019-08-29 08:44 Michael Van Canneyt Resolution open => fixed
2019-08-29 08:44 Michael Van Canneyt Fixed in Version => 3.3.1
2019-08-29 08:44 Michael Van Canneyt Fixed in Revision => 42867
2019-08-29 08:44 Michael Van Canneyt FPCTarget => 3.2.0
2019-08-29 08:44 Michael Van Canneyt Note Added: 0117865
2019-08-29 09:41 rd0x Status resolved => closed